/*
@Goto NoRexx
*/

cls
Say "Soll ein Ordner auf der Arbeitsoberflche eingerichtet werden (J/N)?"
PULL antwort
if antwort <> 'J' then exit

/* Init */
Say
Say "Ordner wird erstellt. Bitte warten..."
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs
WSDir=Directory()
ObjMode="Replace"
rc=0

/* Ordner */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "WaitSem"
SetupString = "OBJECTID=<WSem>;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Programme im Ordner erstellen */
ObjMode="UpDate"
Class = "WPProgram"
Location = "<WSem>"

/* Readme hinzufgen */
Title = "ReadMe"
SetupString = "OBJECTID=<Readme>;EXENAME=E.EXE;PARAMETERS="WSDir"\ReadMe.TXT;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* WaitSem hinzufgen */
Title = "WaitSem 1.02"
SetupString ="OBJECTID=<WSemPRG>;ICONFILE="WSDir"\WaitSem.EXE;EXENAME="WSDir"\WaitSem.EXE;STARTUPDIR="WSDir";"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Ordner ffnen */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "WaitSem"
SetupString = "OBJECTID=<WSem>;OPEN=Default;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

Say
Say "Installation beendet."
Exit

/* Kein REXX-support! */
:NoRexx
@Echo Off
Echo FEHLER: Kein REXX-Suport vorhanden.
Echo Bitte installieren sie REXX und fhrern Sie WSINST.CMD erneut aus.

